/* =====================================================================================================
 * The information on the phone that we care about: Missed calls, UnreadSMS and battery state
 * =====================================================================================================
 * By: Zakie Mashiah 
 * =====================================================================================================
 */
package myPhoneInfo.test.zakiem;

import android.os.Bundle;


public class PhoneInfoDataOnly {
	int missedCalls;
	int unreadSMS;
	int batteryPercentile;
	boolean batteryFull;
	
	public static final String PHONEINFO_DATA_MC = "mc";
    public static final String PHONEINFO_DATA_US = "us";
    public static final String PHONEINFO_DATA_BP = "bp";
    public static final String PHONEINFO_DATA_BF = "bf";

	public PhoneInfoDataOnly() { missedCalls = 0; unreadSMS = 0; batteryPercentile = 0; batteryFull = false; }
	public PhoneInfoDataOnly(int mc, int us, int bp, boolean bf) { set(mc, us, bp, bf); }
	public boolean equal(PhoneInfoDataOnly d) {
		if ((d.batteryFull == batteryFull) &&
			(d.batteryPercentile == batteryPercentile) &&
			(d.missedCalls == missedCalls) &&
			(d.unreadSMS == unreadSMS) )
			return true;
		return false;
	}
		public void set(int mc, int us, int bp, boolean bf) {
			missedCalls = mc;
			unreadSMS = us;
			batteryPercentile = bp;
			batteryFull = bf;
			
		}
		public void set(PhoneInfoDataOnly d) {
			missedCalls = d.missedCalls;
			unreadSMS = d.unreadSMS;
			batteryPercentile = d.batteryPercentile;
			batteryFull = d.batteryFull;
		}
		
		public void set(Bundle b) {
			missedCalls = b.getInt(PHONEINFO_DATA_MC);
        	unreadSMS = b.getInt(PHONEINFO_DATA_US);
        	batteryPercentile = b.getInt(PHONEINFO_DATA_BP);
        	batteryFull = b.getBoolean(PHONEINFO_DATA_BF);
		}
		
		public Bundle get() {
			Bundle bundle = new Bundle();
	        bundle.putInt(PHONEINFO_DATA_MC, missedCalls);
	        bundle.putInt(PHONEINFO_DATA_US, unreadSMS);
	        bundle.putInt(PHONEINFO_DATA_BP, batteryPercentile);
	        bundle.putBoolean(PHONEINFO_DATA_BF, batteryFull);
	        return bundle;
		}
}
