/* =====================================================================================================
 * Content observer for the SMS messages
 * =====================================================================================================
 * By: Zakie Mashiah 
 * =====================================================================================================
 */

package myPhoneInfo.test.zakiem;

import android.content.ContentResolver;
import android.database.ContentObserver;
import android.database.Cursor;
import android.net.Uri;
import android.os.Handler;
import android.util.Log;


public class UnreadSMSContentObserver extends ContentObserver {
	private static final String TAG="PhoneInfoSMS";
	private static final Uri SMS_INBOX = Uri.parse("content://sms/inbox");

	private ContentResolver mContentResolver;
	private Handler mHandler;
	public int unreadSMS;
	
	
	public UnreadSMSContentObserver(ContentResolver cr, Handler h) {
		super(null);
		mContentResolver = cr;
		mHandler = h;
	}
	
	
	public int getUnreadSMS() {
    	if (mContentResolver != null) {
    		try {
    			Cursor c = mContentResolver.query(SMS_INBOX, null, "read = 0", null, null);
    			if (c != null) {
    				unreadSMS = c.getCount(); 
    				c.deactivate();
    				Log.d(TAG, unreadSMS + " unread SMS messages");
    				}
    			}
    		catch (Exception ex) {
    			Log.e("ERROR: " + ex.toString(), "");
    		}
    	}
    	return unreadSMS;
	}
	
	@Override public void onChange(boolean selfChange) {
		Log.d(TAG, "onChange");
    	if (mContentResolver != null) {
    		getUnreadSMS();
    		mHandler.obtainMessage(PhoneInfoServer.CONTENTO_INFOCHANGED, PhoneInfoServer.CONTENTO_US, unreadSMS).sendToTarget();
    		Log.d(TAG, "done");
    	}
	}
}
